Bug 72001 - full install upgrade partionioning scheme badly chosen
full install upgrade partionioning scheme badly chosen
Status: CLOSED NOTABUG
Product: Red Hat Linux
Classification: Retired
Component: anaconda (Show other bugs)
9
All Linux
medium Severity medium
: ---
: ---
Assigned To: Jeremy Katz
Brock Organ
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2002-08-20 13:10 EDT by Paul Wouters
Modified: 2008-01-17 12:49 EST (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-02-21 13:49:26 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Paul Wouters 2002-08-20 13:10:28 EDT
From Bugzilla Helper:
User-Agent: Mozilla/5.0 Galeon/1.2.1 (X11; Linux i686; U;) Gecko/20020417

Description of problem:
I did a full limbo v2 install. then upgrade to null. This is on a 30GB
disk. It lacks 35MB on the root partition. This means the auto partition of
limbo sucked. I guess this is unfixable now, but null can 
allow for a better auto partinioning scheme giving / a bit more MB's

Version-Release number of selected component (if applicable):


How reproducible:
Didn't try

Steps to Reproduce:
1.do full install of limbo, chosing auto partion on big disk(30GB)
2.upgrade to null
3.
	

Actual Results:  I had to cancel lots of packages, ignore dependancies and 
hope it would fit. This took 5 re-selections. It's difficult to select, 
because it will want to upgrade 'all'. You have to deselect some of the first
release packages of null that weren't on limbo (like desktop-extra)
or do 'do not install packages that have dependancies) and hope that
gets you past this part.

Additional info:

If this is just an issue for limb->null, it's not too bad, and null
can be armored by giving it a better autopartion scheme for upgrades to
8.0 or later. If this is also a problem for 7.3->null, then this might be a 
big show stopper for real users with real upgrades.
Comment 1 Paul Wouters 2002-08-20 14:14:37 EDT
workaround: first rpm -e kernel-BOOT kernel-debug kernel-enterprise worked for 
me. It's now installing packages.
Comment 2 Michael Fulbright 2002-08-22 12:54:43 EDT
What autopartitioning class did you choose (desktop/workstation/custom/server)?
Comment 3 Paul Wouters 2002-08-22 13:10:55 EDT
Whatever was the default. It was just a "hit return to install it all" type
install I performed.
Comment 4 Michael Fulbright 2002-08-23 11:51:12 EDT
If you got kernel-debug and kernel-enterprise you must have done an install
which selected 'Everything', which is not a default choice.

Did you choose Personal Desktop, Workstation, Server, or Custom?
Comment 5 Paul Wouters 2002-08-27 18:01:20 EDT
With limbo i do not remember. With null I selected "upgrade current"
Comment 6 Michael Fulbright 2002-08-28 13:21:21 EDT
I can't really investigate the issue without that information.

If I do an Everything install using a 20GB drive and dedicate all of it to
autopartitioning then I can upgrade fine.

Did you choose to erase everything on the drive, or do you have non-Linux
partitions which are using up space?
Comment 7 Michael Fulbright 2002-10-04 16:55:31 EDT
Closing due to inactivity.

Please reopen this bug report if you continue to have problems.
Comment 8 Red Hat Bugzilla 2006-02-21 13:49:26 EST
Changed to 'CLOSED' state since 'RESOLVED' has been deprecated.

Note You need to log in before you can comment on or make changes to this bug.